Debian Bug report logs - #375702
obconf: does not close or save settings

version graph

Package: obconf; Maintainer for obconf is Mateusz Łukasik <mati75@linuxmint.pl>; Source for obconf is src:obconf.

Reported by: Joris van Rooij <jrrzz@il.fontys.nl>

Date: Tue, 27 Jun 2006 17:33:06 UTC

Severity: important

Found in version obconf/1.5-3

Fixed in version obconf/1.6-1

Done: Jens Peter Secher <jps@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tore Anderson <tore@debian.org>:
Bug#375702; Package obconf. Full text and rfc822 format available.

Acknowledgement sent to Joris van Rooij <jrrzz@il.fontys.nl>:
New Bug report received and forwarded. Copy sent to Tore Anderson <tore@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joris van Rooij <jrrzz@il.fontys.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: obconf: does not close or save settings
Date: Tue, 27 Jun 2006 19:11:21 +0200
Package: obconf
Version: 1.5-3
Severity: important

Hi,

Obconf seems to be broken on amd64. The package does work on i386.
The close and about buttons don't work and after closing the window the
program stays active in the background.
The only thing that does work is changing the openbox theme.

Upon starting the program I get the following warnings:

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_dock_float_y_value_changed'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_dock_hide_toggled'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_dock_hide_delay_value_changed'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_place_mouse_toggled'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_dock_floating_activate'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_main_window_delete_event'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_focus_mouse_toggled'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_dock_stacking_bottom_toggled'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_dock_vertical_activate'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_close_clicked'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_about_clicked'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_desktop_num_value_changed'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_dock_stacking_top_toggled'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_dock_bottom_activate'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_resize_contents_toggled'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_dock_right_activate'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_dock_top_left_activate'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_resist_edge_value_changed'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_dock_float_x_value_changed'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_dock_left_activate'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_theme_layout_changed'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_dock_top_activate'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_focus_new_toggled'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_dock_horizontal_activate'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_focus_raise_toggled'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_dock_stacking_normal_toggled'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_dock_bottom_left_activate'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_resist_window_value_changed'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_dock_top_right_activate'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_dock_bottom_right_activate'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_about_close_clicked'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_focus_delay_value_changed'.

(obconf:10735): libglade-WARNING **: could not find signal handler 'on_about_window_delete_event'.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-ck1
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)

Versions of packages obconf depends on:
ii  libatk1.0-0                1.11.4-2      The ATK accessibility toolkit
ii  libc6                      2.3.6-15      GNU C Library: Shared libraries
ii  libcairo2                  1.0.4-2       The Cairo 2D vector graphics libra
ii  libfontconfig1             2.3.2-7       generic font configuration library
ii  libglade2-0                1:2.5.1-2+b1  library to load .glade files at ru
ii  libglib2.0-0               2.10.3-1      The GLib library of C routines
ii  libgtk2.0-0                2.8.18-1      The GTK+ graphical user interface 
ii  libice6                    1:1.0.0-3     X11 Inter-Client Exchange library
ii  libpango1.0-0              1.12.3-1      Layout and rendering of internatio
ii  libsm6                     1:1.0.0-4     X11 Session Management library
ii  libstartup-notification0   0.8-1         library for program launch feedbac
ii  libx11-6                   2:1.0.0-6     X11 client-side library
ii  libxcursor1                1.1.5.2-5     X cursor management library
ii  libxext6                   1:1.0.0-4     X11 miscellaneous extension librar
ii  libxft2                    2.1.8.2-8     FreeType-based font drawing librar
ii  libxi6                     1:1.0.0-5     X11 Input extension library
ii  libxinerama1               1:1.0.1-4     X11 Xinerama extension library
ii  libxml2                    2.6.26.dfsg-1 GNOME XML library
ii  libxrandr2                 2:1.1.0.2-4   X11 RandR extension library
ii  libxrender1                1:0.9.0.2-4   X Rendering Extension client libra
ii  openbox                    3.2-9         standards compliant, fast, light-w
ii  zlib1g                     1:1.2.3-12    compression library - runtime

obconf recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#375702; Package obconf. Full text and rfc822 format available.

Acknowledgement sent to randhol <randhol+bugs@pvv.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #10 received at 375702@bugs.debian.org (full text, mbox):

From: randhol <randhol+bugs@pvv.org>
To: Debian Bug Tracking System <375702@bugs.debian.org>
Subject: obconf doesn't work on amd-k7
Date: Mon, 11 Sep 2006 19:19:23 +0200
Package: obconf
Followup-For: Bug #375702

Obconf doesn't close or save settings. I used i386 package on amd k7

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-2-k7
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)

Versions of packages obconf depends on:
ii  libatk1.0-0                1.12.2-1      The ATK accessibility toolkit
ii  libc6                      2.3.6.ds1-4   GNU C Library: Shared libraries
ii  libcairo2                  1.2.4-1       The Cairo 2D vector graphics libra
ii  libfontconfig1             2.3.2-7       generic font configuration library
ii  libglade2-0                1:2.6.0-2     library to load .glade files at ru
ii  libglib2.0-0               2.10.3-3      The GLib library of C routines
ii  libgtk2.0-0                2.8.20-1      The GTK+ graphical user interface 
ii  libice6                    1:1.0.1-2     X11 Inter-Client Exchange library
ii  libpango1.0-0              1.12.3-2      Layout and rendering of internatio
ii  libsm6                     1:1.0.1-2     X11 Session Management library
ii  libstartup-notification0   0.8-1         library for program launch feedbac
ii  libx11-6                   2:1.0.0-8     X11 client-side library
ii  libxcursor1                1.1.7-4       X cursor management library
ii  libxext6                   1:1.0.1-2     X11 miscellaneous extension librar
ii  libxfixes3                 1:3.0.1.2-4   X11 miscellaneous 'fixes' extensio
ii  libxft2                    2.1.8.2-8     FreeType-based font drawing librar
ii  libxi6                     1:1.0.1-3     X11 Input extension library
ii  libxinerama1               1:1.0.1-4.1   X11 Xinerama extension library
ii  libxml2                    2.6.26.dfsg-3 GNOME XML library
ii  libxrandr2                 2:1.1.0.2-4   X11 RandR extension library
ii  libxrender1                1:0.9.1-3     X Rendering Extension client libra
ii  openbox                    3.3-2         standards compliant, fast, light-w

obconf recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#375702; Package obconf. Full text and rfc822 format available.

Acknowledgement sent to Richard Bradshaw <richard.bradshaw@blueyonder.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #15 received at 375702@bugs.debian.org (full text, mbox):

From: Richard Bradshaw <richard.bradshaw@blueyonder.co.uk>
To: 375702@bugs.debian.org
Subject: Re:Bug#375702: obconf: does not close or save settings
Date: Tue, 12 Sep 2006 20:10:04 +0100
Hello,

Adding "rc_obconf_LDFLAGS = -export-dynamic -Wl" to Makefile.am
seems to fix this, I am not certain that this is the correct fix though.

Regards Richard Bradshaw
-- 
()  ascii ribbon campaign - against html e-mail 
/\  www.asciiribbon.org   - against proprietary attachments




Message sent on to Joris van Rooij <jrrzz@il.fontys.nl>:
Bug#375702. Full text and rfc822 format available.

Message #18 received at 375702-submitter@bugs.debian.org (full text, mbox):

From: Jens Peter Secher <jps@debian.org>
To: 375702-submitter@bugs.debian.org
Subject: New version of obconf
Date: Sun, 17 Sep 2006 20:43:09 +0200
I have placed a new package of obconf in 

  http://people.debian.org/~jps/etch/

Can any of you build this package on amd64 and verify whether this new
packages fixes bug #375702?  If it does, I will upload it to unstable.

Cheers,
-- 
                                                    Jens Peter Secher
_DD6A 05B0 174E BFB2 D4D9 B52E 0EE5 978A FE63 E8A1 jpsecher gmail com_
A. Because it breaks the logical sequence of discussion
Q. Why is top posting bad?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#375702; Package obconf. Full text and rfc822 format available.

Acknowledgement sent to jrrzz@il.fontys.nl:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #23 received at 375702@bugs.debian.org (full text, mbox):

From: "Joris van Rooij" <jrrzz@il.fontys.nl>
To: 375702@bugs.debian.org
Subject: RE: New version of obconf
Date: Mon, 18 Sep 2006 00:10:41 +0200 (CEST)
Hi,

I've installed the new version and this bug is fixed.
The resulting debian package can be found at

http://www.wasda.nl/~jorrizza/obconf/

Thanks.

-- 
Greetings,
Joris




Reply sent to Jens Peter Secher <jps@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joris van Rooij <jrrzz@il.fontys.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #28 received at 375702-done@bugs.debian.org (full text, mbox):

From: Jens Peter Secher <jps@debian.org>
To: 375702-done@bugs.debian.org
Date: Wed, 20 Sep 2006 17:50:31 +0200
amd64 problem is reported fixed in obconf_1.6-1
-- 
                                                    Jens Peter Secher
_DD6A 05B0 174E BFB2 D4D9 B52E 0EE5 978A FE63 E8A1 jpsecher gmail com_
A. Because it breaks the logical sequence of discussion
Q. Why is top posting bad?




Reply sent to Jens Peter Secher <jps@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joris van Rooij <jrrzz@il.fontys.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #33 received at 375702-close@bugs.debian.org (full text, mbox):

From: Jens Peter Secher <jps@debian.org>
To: 375702-close@bugs.debian.org
Subject: Bug#375702: fixed in obconf 1.6-1
Date: Wed, 20 Sep 2006 09:02:06 -0700
Source: obconf
Source-Version: 1.6-1

We believe that the bug you reported is fixed in the latest version of
obconf, which is due to be installed in the Debian FTP archive:

obconf_1.6-1.diff.gz
  to pool/main/o/obconf/obconf_1.6-1.diff.gz
obconf_1.6-1.dsc
  to pool/main/o/obconf/obconf_1.6-1.dsc
obconf_1.6-1_i386.deb
  to pool/main/o/obconf/obconf_1.6-1_i386.deb
obconf_1.6.orig.tar.gz
  to pool/main/o/obconf/obconf_1.6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 375702@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jens Peter Secher <jps@debian.org> (supplier of updated obconf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 14 Sep 2006 21:43:58 +0200
Source: obconf
Binary: obconf
Architecture: source i386
Version: 1.6-1
Distribution: unstable
Urgency: low
Maintainer: Jens Peter Secher <jps@debian.org>
Changed-By: Jens Peter Secher <jps@debian.org>
Description: 
 obconf     - Preferences manager for Openbox window manager
Closes: 302754 342427 375702 385988
Changes: 
 obconf (1.6-1) unstable; urgency=low
 .
   * New upstream version.
   * Fixed typo in mainpage.
     (Closes: bug#302754)
   * Use of autotools-dev to update config.{guess,sub}.
     (Closes: bug#342427)
   * Changed Makefile.am to fix buttons and saving settings, thanks to
     Richard Bradshaw.
     (Closes: bug#375702)
   * New maintainer.
     (Closes: bug#385988)
   * Upgraded to Standards-Version 3.7.2.
Files: 
 229eb9cf83e0d1c4fbd857597c90342c 675 x11 optional obconf_1.6-1.dsc
 aaf62498b11d52dfce7a0b6060867a19 166214 x11 optional obconf_1.6.orig.tar.gz
 3d120ee47282bad5e5f81b6f5363f8e1 2583 x11 optional obconf_1.6-1.diff.gz
 e5500c377e2d68b7c43fcec43a3d0486 23736 x11 optional obconf_1.6-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFDYS6DuWXiv5j6KERAl4mAJ44oFeBW7rZsaedyi+rcTFx1D0LkQCgiGca
10bYmcUpuFex7cLbEAjnpNY=
=0B/N
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 09:05:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:31:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.